boklm pushed to branch main at The Tor Project / Applications / 
tor-browser-build


Commits:
400c857f by Nicolas Vigier at 2025-01-14T11:39:26+01:00
Bug 41343: Add clean-build-artifacts signing step

Add step to remove Android test artifacts (added in
tor-browser-build#41342) that we don't need to publish on dist.tpo.

- - - - -


2 changed files:

- + tools/signing/clean-build-artifacts
- tools/signing/do-all-signing


Changes:

=====================================
tools/signing/clean-build-artifacts
=====================================
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# This script removes some files we don't need to publish on dist.tpo
+
+set -e
+
+script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+source "$script_dir/functions"
+
+cd "$signed_version_dir"
+
+# Remove Android test artifacts (tor-browser-build#41342)
+rm -f -- *-androidTest.apk *-noopt-*.apk


=====================================
tools/signing/do-all-signing
=====================================
@@ -42,6 +42,10 @@ function sync-builder-unsigned-to-local-signed {
   "$script_dir/sync-builder-unsigned-to-local-signed"
 }
 
+function clean-build-artifacts {
+  "$script_dir/clean-build-artifacts"
+}
+
 function sync-before-linux-signer-rcodesign-sign {
   "$script_dir/sync-local-to-linux-signer"
 }
@@ -179,6 +183,7 @@ export SIGNING_PROJECTNAME
 do_step set-time-on-signing-machine
 do_step wait-for-finished-build
 do_step sync-builder-unsigned-to-local-signed
+do_step clean-build-artifacts
 do_step sync-scripts-to-linux-signer
 do_step sync-before-linux-signer-rcodesign-sign
 do_step linux-signer-rcodesign-sign



View it on GitLab: 
https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/400c857f159efdfb5868818c4440f09cffd69cff

-- 
View it on GitLab: 
https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/400c857f159efdfb5868818c4440f09cffd69cff
You're receiving this email because of your account on gitlab.torproject.org.


_______________________________________________
tbb-commits mailing list -- tbb-commits@lists.torproject.org
To unsubscribe send an email to tbb-commits-le...@lists.torproject.org

Reply via email to